$(document).ready(function ($) {
    var $field = $('#record_retention_retentionRule_keep_until');

    var $configs = $.extend({
        minDate: new Date(2009, 0, 1),
        showOn: 'click'
    }, $.datepicker.regional['en-GB'], {"dateFormat": "mm\/dd\/yy"});


    $field.datepicker($configs);

    var $rights = $('#user_accessedUsersAndGroups .checkbox');
    var $parent;

    $rights.each(function (index) {
        var $checkboxContainer = $(this);
        var labelText = $('label', $checkboxContainer).text().trim();
        if (labelText.indexOf('--- ') !== 0) {
            $checkboxContainer.find('input').attr('id', "access-control");
            $parent = $checkboxContainer.find('input').val();
        } else {
            $checkboxContainer.find('input').addClass($parent);
        }
    });

    $("#user_accessedUsersAndGroups").on('click', '#access-control', function () {
        var self = $(this);
        var className = $(this).val();
        $('.' + className).each(function (index, element) {
            if (self.is(':checked')) {
                $(element).prop('checked', true);
                $(element).prop("disabled", true);
            } else {
                $(element).prop('checked', false);
                $(element).prop("disabled", false);

            }
        });
    });
});
